Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.addressbook.core.v1
Class OrganizationContactInformationType

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.HealthCareOrganizationTypeV2
          be.fgov.ehealth.aa.complextype.v1.OrganizationAddressbookType
              be.fgov.ehealth.addressbook.core.v1.OrganizationContactInformationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:11:51+02:00",
               comments="JAXB RI v2.2.11")
    public class OrganizationContactInformationType

extends OrganizationAddressbookType
implements Serializable

Healthcare institution contact information

Java class for OrganizationContactInformationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganizationContactInformationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationAddressbookType">
           <sequence>
             <element name="EHealthBox" type="{urn:be:fgov:ehealth:addressbook:core:v1}EHealthBoxType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OrganizationContactInformationType()`

Method Summary
`List<EHealthBoxType>` | `getEHealthBoxes()` Gets the value of the eHealthBoxes property.

Methods inherited from class be.fgov.ehealth.aa.complextype.v1.OrganizationAddressbookType
`getAddresses, getHealthCareAdditionalInformations`

Methods inherited from class be.fgov.ehealth.aa.complextype.v1.HealthCareOrganizationTypeV2
`getId, getNames, getOrganizationTypeCodes, getOrganizationTypeFriendlyNames, setId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrganizationContactInformationType

    public OrganizationContactInformationType()

Method Detail

### getEHealthBoxes

    public List<EHealthBoxType> getEHealthBoxes()

  Gets the value of the eHealthBoxes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the eHealthBoxes property.

  For example, to add a new item, do as follows:

          getEHealthBoxes().add(newItem);

  Objects of the following type(s) are allowed in the list `EHealthBoxType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.